<template>
   <div class="pine-chart">
        <div :id="divid" class="pie-chart"></div>
   </div>
</template>

<script>
import * as echarts from 'echarts';

var chartDom;
var myChart;
var option;
export default {
    props:{
        divid:String,
        pinedata:Array,
        title:String,
        iscoustomecolor:Boolean
    },
    data(){
        return {

        }
    },
    mounted(){
        this.$nextTick(function(){
          setTimeout(() => {
            this.initPinChart()
        }, 100);
        })

    },
    methods:{
        initPinChart(){
            let isCustomerColor = this.iscoustomecolor
            chartDom = document.getElementById(this.divid);
            myChart = echarts.init(chartDom);
            option = {
                title: {
                    text: this.title,
                    left: 'center'
                },
                tooltip: {
                    trigger: 'item'
                },
                legend: {
                    orient: 'vertical',
                    left: 'left',
                    show:false
                },
                series: [
                    {
                    type: 'pie',
                    radius: '50%',
                    itemStyle: {
                        normal: {
                            borderWidth: 1, //扇区间加间隔
                            borderColor: '#ffffff', //间隔为白色
                            labelLine :{
                                show:true
                            },
                            color: function (colors) {
                                if(isCustomerColor){
                                    let colorList = [
                                    '#70b603',
                                    '#facd91',
                                    '#b8741a',
                                    '#d9001b',
                                    ];
                                    return colorList[colors.dataIndex];
                                }else {
                                    let colorList = [
                                        '#fc8251',
                                        '#5470c6',
                                        '#91cd77',
                                        '#ef6567',
                                    ];
                                    return colorList[colors.dataIndex];                                    
                                }
                            }
                        }
                    },
                    data: this.pinedata,
                    emphasis: {
                        itemStyle: {
                        shadowBlur: 10,
                        shadowOffsetX: 0,
                        shadowColor: 'rgba(0, 0, 0, 0.5)'
                        }
                    }
                    }
                ]
        };

        option && myChart.setOption(option);
        }
    }
}
</script>

<style scoped>
.pine-chart{
    width: 100%;
    height: 100%;
}
.pie-chart{
    width: 100%;
    height: 100%;
}
</style>